Switch back to OpenLayers version 6.4.3 due to Internet Explorer incompatibility.
authorPhilipp Spitzer <philipp@spitzer.priv.at>
Sat, 16 Jan 2021 15:00:15 +0000 (16:00 +0100)
committerPhilipp Spitzer <philipp@spitzer.priv.at>
Sat, 16 Jan 2021 15:00:15 +0000 (16:00 +0100)
wrmap.body.php

index 5faf1ec3dba97f073781c21b47f72dc82145b856..7055b7589a0e8f86ad19e9c07ad53252efb4ec16 100644 (file)
@@ -399,7 +399,8 @@ class WrBaseMap {
                assert(in_array($tagname, array('wrmap', 'wrgmap')));
 
                $parserOutput = $parser->getOutput();
-               $parserOutput->addHeadItem('<script src="https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.5.0/build/ol.js"></script>', 'openlayers_js');
+               // OpenLayers 6.5.0 does not work with Internet Explorer, see https://github.com/openlayers/openlayers/issues/11870
+               $parserOutput->addHeadItem('<script src="https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.4.3/build/ol.js"></script>', 'openlayers_js');
                $parserOutput->addHeadItem('<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.5.0/css/ol.css">', 'openlayers_css');
                $parserOutput->addModules('ext.wrmap');